View Issue Details

IDProjectCategoryView StatusLast Update
0002528Path[FreeCAD] Featurepublic2016-07-27 00:37
Reporterghislainvdwalle Assigned Tosliptonic  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformallOSallOS Version Win7, Debian
Product Version[FreeCAD] 0.15 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0002528: G-Code output
DescriptionReferring to the Cutter compensation topic discussed with Sliptonic 26/04, there is a concensus that in the output G-Code file should be a comment referring to the offset tool.
like for LinuxCNC:
(Cutter Compensated Path End Mill 10mm)
G0 X100.0 Y50.0
...
...
G0 Z100.0
(End Cutter Compensated Path End Mill 10mm)
This would prevent the operator of using the incorrect tool on the machine.
Working on a mold means having a lot of G-Code files.
This improvement should allow a better oversight.
Steps To Reproduce-
Additional Information-
TagsNo tags attached.
FreeCAD Information

Activities

sliptonic

2016-07-03 17:12

developer   ~0007171

PR 0000201

Related Changesets

FreeCAD: master d1b92776

2016-07-03 17:27:12

sliptonic


Committer: yorik Details Diff
Fix for bug 0002528

Improved handling of comments
Affected Issues
0002528
mod - src/Mod/Path/PathScripts/PathLoadTool.py Diff File
mod - src/Mod/Path/PathScripts/PathMachine.py Diff File
mod - src/Mod/Path/PathScripts/PathPocket.py Diff File
mod - src/Mod/Path/PathScripts/PathProfile.py Diff File
mod - src/Mod/Path/PathScripts/PathSurface.py Diff File
mod - src/Mod/Path/PathScripts/dumper_post.py Diff File
mod - src/Mod/Path/PathScripts/example_post.py Diff File
mod - src/Mod/Path/PathScripts/linuxcnc_post.py Diff File

Issue History

Date Modified Username Field Change
2016-04-28 10:22 ghislainvdwalle New Issue
2016-07-03 15:08 sliptonic Assigned To => sliptonic
2016-07-03 15:08 sliptonic Status new => assigned
2016-07-03 17:12 sliptonic Note Added: 0007171
2016-07-03 17:12 sliptonic Status assigned => resolved
2016-07-03 17:12 sliptonic Resolution open => fixed
2016-07-04 01:43 yorik Changeset attached => FreeCAD Master master d1b92776
2016-07-27 00:37 yorik Status resolved => closed
2016-07-27 00:37 yorik Fixed in Version => 0.17